> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hub2.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of recipients according to filters



## OpenAPI

````yaml get /recipient
openapi: 3.0.0
info:
  title: Hub2 Service · Api
  description: |-
    This is the Hub2 api reference |
          Please check https://docs.hub2.io/ for the full documentation |
          Rate limits of endpoints are here : https://docs.hub2.io/en/details/limits.html.
  version: 2.149.1
  contact:
    name: Hub2
    url: https://www.hub2.io/
    email: contact@hub2.io
servers: []
security: []
tags:
  - name: Payments
    description: >-
      Best known as the PAY-IN API, it provides endpoints for merchants to
      perform Hub2 PAY-IN transactions.
  - name: Transfers
    description: >-
      Best known as the PAY-OUT API, it provides endpoints for merchants to
      perform Hub2 PAY-OUT transactions.
  - name: IRT
    description: International Remittance Transfers
  - name: Balance
    description: ''
  - name: Webhooks
    description: ''
  - name: Provisioning
    description: ''
  - name: Payment on Terminal
    description: ''
  - name: Receipt
    description: ''
  - name: Sms
    description: ''
  - name: Data
    description: ''
  - name: Compliance
    description: ''
  - name: Recipient
    description: ''
  - name: Delegation
    description: ''
  - name: Deposits
    description: ''
  - name: Payment Links
    description: ''
  - name: Submerchants
    description: ''
paths:
  /recipient:
    get:
      tags:
        - Recipient
      summary: Retrieve a list of recipients according to filters
      operationId: RecipientController_list
      parameters:
        - name: bankName
          required: false
          in: query
          description: Only recipients using the given bank name.
          schema:
            type: string
        - name: bankCode
          required: false
          in: query
          description: Only recipients using the given bank code.
          schema:
            type: string
        - name: provider
          required: false
          in: query
          description: Only recipients using the given provider.
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: Search string used in firstname and lastname
          schema:
            type: string
        - name: firstname
          required: false
          in: query
          description: Recipient firstname
          schema:
            type: string
        - name: lastname
          required: false
          in: query
          description: Recipient lastname
          schema:
            type: string
        - name: company
          required: false
          in: query
          description: Recipient company
          schema:
            type: string
        - name: country
          required: false
          in: query
          description: Recipient country
          schema:
            type: string
        - name: type
          required: false
          in: query
          description: Recipient type
          schema:
            enum:
              - mobile
              - bank
            type: string
        - name: msisdn
          required: false
          in: query
          description: Only recipients having the given msisdn
          schema:
            type: string
        - name: iban
          required: false
          in: query
          description: Only recipients having the given iban.
          schema:
            type: string
        - name: page
          required: true
          in: query
          description: Page number starting from 1
          schema:
            example: 1
            type: number
        - name: limit
          required: true
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: ApiKey
          in: header
          description: >-
            Your api key. To create a key, please get into our dashboard. If you
            don't have access to it, please reach the Support team.
          required: true
          schema:
            type: string
        - name: MerchantId
          in: header
          description: >-
            Your merchant ID. This information is available in our dashboard. If
            you don't have access to it, please reach the Support team.
          required: true
          schema:
            type: string
        - name: Environment
          in: header
          description: >-
            Allow you to choose between the sandbox mode to perform some tests
            or the live mode for real world transactions.
          required: true
          schema:
            enum:
              - live
              - sandbox
            type: string
      responses:
        '200':
          headers:
            Link:
              description: >-
                Contains URLs pointing to prev, next, first or last page of
                results.
              example: >-
                <https://api.hub2.io/api/recipient?limit=10&page=1>;
                rel="first",
                <https://api.hub2.io/api/recipient?limit=10&page=2>; rel="prev",
                <https://api.hub2.io/api/recipient?limit=10&page=4>; rel="next",
                <https://api.hub2.io/api/recipient?limit=10&page=10>; rel="last"
              schema:
                type: string
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecipientDto'
        '401':
          description: Wrong credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUnauthorizedErrorAlias'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalErrorAlias'
components:
  schemas:
    RecipientDto:
      type: object
      properties:
        lastname:
          type: string
          example: Doe
          description: Last name of the recipient
        firstname:
          type: string
          example: John
          description: First name of the recipient
        company:
          type: string
          example: Acme Corp
          description: Company name of the recipient
        country:
          type: string
          example: USA
          description: Country of the recipient
        type:
          type: string
          example: bank
          description: Recipient type
          enum:
            - mobile
            - bank
        msisdn:
          type: string
          example: '1234567890'
          description: Recipient phone number (required if type is mobile)
        provider:
          type: string
          example: orange
          description: Provider used by the recipient (required if type is mobile)
        bankName:
          type: string
          example: Bank of America
          description: Name of the bank (required if type is bank)
        bankCode:
          type: string
          example: BOFAUS3N
          description: Bank code (required if type is bank)
        id:
          type: string
          description: Unique identifier of the recipient
        createdAt:
          format: date-time
          type: string
          description: Date of creation of the recipient
        updatedAt:
          format: date-time
          type: string
          description: Date of last update of the recipient
        merchantId:
          type: string
          description: MerchantId of the merchant who created the recipient
        accountNumber:
          type: string
          description: IBAN of the recipient
        isActive:
          type: boolean
          example: true
          description: Indicates if the recipient is active
        metadata:
          type: object
          description: Metadata of the recipient. Contains information like recipient kyc
        isIrt:
          type: boolean
          example: true
          description: Indicates if transfers are internationnal
      required:
        - lastname
        - firstname
        - company
        - country
        - type
        - id
        - createdAt
        - updatedAt
        - merchantId
        - accountNumber
        - isActive
    ApiUnauthorizedErrorAlias:
      type: object
      properties:
        status:
          type: number
          description: HTTP error code.
          example: 401
        error:
          description: HTTP error description.
          allOf:
            - $ref: '#/components/schemas/InternalApiUnauthorizedError'
      required:
        - status
        - error
    ApiInternalErrorAlias:
      type: object
      properties:
        type:
          type: string
          description: The type of this error.
          example: internal_error
        code:
          type: string
          description: The error code for this error.
          example:
            - internal_error
            - wrong_credentials
            - not_granted
            - live_mode_not_granted
            - invalid_sandbox_msisdn
            - invalid_url
            - orange_invalid_url
            - wrong_provider
            - override_business_name
            - do_not_override_business_name
        message:
          type: string
          description: The error message describing what happens to throw this error.
          example: An error occurred on our system. Please try again later.
      required:
        - type
        - code
        - message
    InternalApiUnauthorizedError:
      type: object
      properties:
        type:
          type: string
          description: The type of this error.
          example: authorization_error
        code:
          type: string
          description: The internal error code describing what happened.
          enum:
            - bad_payment_intent_token
            - wrong_credentials
          example: wrong_credentials
        message:
          type: string
          description: Detailed error message which describe what happened.
          example: L'ID marchand et/ou la clé d'API sont incorrects.
      required:
        - type
        - code
        - message

````